oracle.xdb.servlet

## Class XDBServletContainer

- java.lang.Object
- - oracle.xdb.servlet.XDBServletContainer

    public class XDBServletContainer
    extends java.lang.Object

XDB Servlet Container, called by the native HTTP server to handle servlet requests.

### Constructor Summary

Constructors
Constructor and Description
`XDBServletContainer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `handleRequest(int c1, int c2)` Handle servlet request.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XDBServletContainer

    public XDBServletContainer()

### Method Detail

#### handleRequest

    public static int handleRequest(int c1,
                                    int c2)

Handle servlet request.

Parameters:
  `c1` - Unused parameter.
  `c2` - Unused parameter.

Copyright © 2003, 2020, Oracle and/or its affiliates.